---
title: tooling::PathAttemptEvent

---

# tooling::PathAttemptEvent





Inherits from [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[PathAttemptEvent](Classes/structtooling_1_1PathAttemptEvent.md#function-pathattemptevent)**(const [llarp::RouterID](Classes/structllarp_1_1RouterID.md) & routerID, std::shared_ptr< const [llarp::path::Path](Classes/structllarp_1_1path_1_1Path.md) > path) |
| virtual std::string | **[ToString](Classes/structtooling_1_1PathAttemptEvent.md#function-tostring)**() const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| std::vector< [llarp::path::PathHopConfig](Classes/structllarp_1_1path_1_1PathHopConfig.md) > | **[hops](Classes/structtooling_1_1PathAttemptEvent.md#variable-hops)**  |
| [llarp::PathID_t](Classes/structllarp_1_1PathID__t.md) | **[pathid](Classes/structtooling_1_1PathAttemptEvent.md#variable-pathid)**  |

## Additional inherited members

**Public Functions inherited from [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)**

|                | Name           |
| -------------- | -------------- |
| | **[RouterEvent](Classes/structtooling_1_1RouterEvent.md#function-routerevent)**(std::string eventType, [llarp::RouterID](Classes/structllarp_1_1RouterID.md) routerID, bool triggered) |
| virtual | **[~RouterEvent](Classes/structtooling_1_1RouterEvent.md#function-~routerevent)**() =default |

**Public Attributes inherited from [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)**

|                | Name           |
| -------------- | -------------- |
| const std::string | **[eventType](Classes/structtooling_1_1RouterEvent.md#variable-eventtype)**  |
| [llarp::RouterID](Classes/structllarp_1_1RouterID.md) | **[routerID](Classes/structtooling_1_1RouterEvent.md#variable-routerid)**  |
| bool | **[triggered](Classes/structtooling_1_1RouterEvent.md#variable-triggered)**  |


## Public Functions Documentation

### function PathAttemptEvent

```cpp
inline PathAttemptEvent(
    const llarp::RouterID & routerID,
    std::shared_ptr< const llarp::path::Path > path
)
```


### function ToString

```cpp
inline virtual std::string ToString() const
```


**Reimplements**: [tooling::RouterEvent::ToString](Classes/structtooling_1_1RouterEvent.md#function-tostring)


## Public Attributes Documentation

### variable hops

```cpp
std::vector< llarp::path::PathHopConfig > hops;
```


### variable pathid

```cpp
llarp::PathID_t pathid;
```


-------------------------------

Updated on 2023-03-26 at 04:03:13 +0000